function subsampleDeconvolve()

Collection='C.100_Genes.100_Samples';
  
% Load the community information
fileName = sprintf('%s/Parameters.mat',Collection);
load(fileName, 'nGenes', 'nSamples', 'geneMinLength', 'geneMaxLength', 'GeneMinAbundance', 'GeneMaxAbundance', 'RelativeAbundance', 'nReads','oStart','oEnd','nO','vStart','vEnd','nV','doublingProb');

ListnOTUs = linspace(oStart,oEnd,nO);
variance = [0 logspace(log10(vStart),log10(vEnd),nV-2) 1];

fileName = sprintf('%s/Communities.txt',Collection);
FH = fopen(fileName, 'r');
Communities = textscan(FH, '%s');
fclose(FH);

littleFormatStr='C.%d_OTU.%.2f_var.1';
formatStr = sprintf('%s/%s',Collection,littleFormatStr);

for i=1:length(Communities{1})
        Community = sprintf('%s/%s',Collection,Communities{1}{i});
        fprintf('%s\n',Community);
        
	fileName = sprintf('%s/Reads',Community);
	if exist(fileName,'dir')
	   fprintf('Reads found for %s; continuing....\n',Community);
	   continue;
	end

	sampleCommunity(Community,nReads);
    end
end
